Replace AccountPlan - m3ter Documentation

Replace AccountPlan

cURL

curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/accountplans/{id}/replace \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountId": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "version": 123,
  "customFields": {},
  "planId": "<string>",
  "planGroupId": "<string>",
  "endDate": "2023-11-07T05:31:56Z",
  "code": "<string>",
  "billEpoch": "2023-12-25",
  "contractId": "<string>"
}
'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/accountplans/{id}/replace"

payload = {
    "accountId": "<string>",
    "startDate": "2023-11-07T05:31:56Z",
    "version": 123,
    "customFields": {},
    "planId": "<string>",
    "planGroupId": "<string>",
    "endDate": "2023-11-07T05:31:56Z",
    "code": "<string>",
    "billEpoch": "2023-12-25",
    "contractId": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    accountId: '<string>',
    startDate: '2023-11-07T05:31:56Z',
    version: 123,
    customFields: {},
    planId: '<string>',
    planGroupId: '<string>',
    endDate: '2023-11-07T05:31:56Z',
    code: '<string>',
    billEpoch: '2023-12-25',
    contractId: '<string>'
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/accountplans/{id}/replace', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Expected Response

Successful responses will return the updated existing AccountPlan and the created AccountPlan:

{
  "originalAccountPlan": {
    "id": "<string>",
    "version": 123,
    "customFields": {},
    "accountId": "<string>",
    "productId": "<string>",
    "planId": "<string>",
    "planGroupId": "<string>",
    "startDate": "2023-11-07T05:31:56Z",
    "endDate": "2023-11-07T05:31:56Z",
    "code": "<string>",
    "billEpoch": "2023-12-25",
    "contractId": "<string>",
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>"
  },
  "newAccountPlan": {
    "id": "<string>",
    "version": 123,
    "customFields": {},
    "accountId": "<string>",
    "productId": "<string>",
    "planId": "<string>",
    "planGroupId": "<string>",
    "startDate": "2023-11-07T05:31:56Z",
    "endDate": "2023-11-07T05:31:56Z",
    "code": "<string>",
    "billEpoch": "2023-12-25",
    "contractId": "<string>",
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>"
  }
}

Error Responses

Possible error responses include:

{
  "message": "<string>"
}

Path Parameters

Body